%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Color management library
Name:		lcms
Version:	1.19
Release:	8
License:	MIT
Group:		Graphics
URL:		http://www.littlecms.com/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	autoconf automake libtool
BuildRequires:	jpeg-devel
BuildRequires:	tiff-devel
BuildRequires:	python-devel
BuildRequires:	swig
BuildRequires:	zlib-devel
Conflicts:	%{mklibname lcms 1}-devel < 1.16

%description
Little cms is a color management library. Implements fast transforms between
ICC profiles. It is focused on speed, and is portable across several platforms.

%package -n	%{libname}
Summary:	The Shared library for "Little cms"
Group:		System/Libraries
Provides:	liblcms = %{version}
Obsoletes:	liblcms < 1.19-7

%description -n	%{libname}
Little cms is a color management library. Implements fast transforms between
ICC profiles. It is focused on speed, and is portable across several platforms.

This package provides the shared lcms library.

%package -n	%{develname}
Summary:	Static library and header files for the "Little cms" library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Obsoletes:	%{name}-devel < 1.19-7
Obsoletes:	%{mklibname lcms 1}-devel < 1.19-7
Requires:	%{libname} >= %{version}-%{release}

%description -n	%{develname}
Little cms is a color management library. Implements fast transforms between
ICC profiles. It is focused on speed, and is portable across several platforms.

This package contains the static lcms library and its header files.

%package -n	python-lcms
Summary:	Python bindings for the lcms color management engine
Group:		Development/Python

%description -n	python-lcms
python-lcms is a Python module that interfaces to the lcms color management
engine.

%prep

%setup -q

# fix attribs
chmod 644 doc/* matlab/* AUTHORS COPYING NEWS README.1ST python/testbed/*

%build
autoreconf -fi

%configure2_5x \
    --with-python \
    --disable-static

# regenerate the swig shit
pushd python
    ./swig_lcms
popd

%make

%check
make check

%install
%makeinstall_std

%files
%doc doc/* matlab/*.pdf
%attr(0755,root,root) %{_bindir}/icc2ps
%attr(0755,root,root) %{_bindir}/icclink
%attr(0755,root,root) %{_bindir}/icctrans
%attr(0755,root,root) %{_bindir}/jpegicc
%attr(0755,root,root) %{_bindir}/tiffdiff
%attr(0755,root,root) %{_bindir}/tifficc
%attr(0755,root,root) %{_bindir}/wtpt
%attr(0644,root,root) %{_mandir}/man1/icc2ps.1*
%attr(0644,root,root) %{_mandir}/man1/icclink.1*
%attr(0644,root,root) %{_mandir}/man1/jpegicc.1*
%attr(0644,root,root) %{_mandir}/man1/tifficc.1*
%attr(0644,root,root) %{_mandir}/man1/wtpt.1*

%files -n %{libname}
%doc AUTHORS COPYING NEWS README.1ST
%attr(0755,root,root) %{_libdir}/*.so.*

%files -n %{develname}
%attr(0644,root,root) %{_includedir}/*
%attr(0644,root,root) %{_libdir}/*.so
%attr(0644,root,root) %{_libdir}/pkgconfig/lcms.pc

%files -n python-lcms
%doc python/testbed/*
%attr(0644,root,root) %{py_platsitedir}/lcms.py
%attr(0755,root,root) %{py_platsitedir}/_lcms.so


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.19-8
+ Revision: 7ba293c
- MassBuild#440: Increase release tag


